# std::list<T,Allocator>::front

From cppreference.com
< cpp‎ | container‎ | list

reference front(); |  |
const_reference front() const; |  |

Returns a reference to the first element in the container.

Calling `front` on an empty container is undefined.

### Parameters

(none)

### Return value

reference to the first element

### Complexity

Constant

### Notes

For a container `c`, the expression c.front() is equivalent to *c.begin().

### Example

The following code uses `front` to display the first element of a std::list <char>:

Run this code

    #include <list>
    #include <iostream>

    int main()
    {
        std::list<char> letters {'o', 'm', 'g', 'w', 't', 'f'};

        if (!letters.empty()) {
            std::cout << "The first character is: " << letters.front() << '\n';
        }
    }

Output:

    The first character is o

### See also

back | access the last element (public member function)

Retrieved from "https://en.cppreference.com/mwiki/index.php?title=cpp/container/list/front&oldid=50526"